List industries | Moov Documentation

List industries

Returns a list of industries relevant to merchant profile enrichment. Results are ordered by industry name.

To access this endpoint using an access token, you'll need to specify the /profile-enrichment.read scope.

GET

/industries

Ask

curl -X GET "https://api.moov.io/industries" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.industries.list();

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->industries->list(

);

if ($response->enrichedIndustries !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIndustriesResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListIndustriesResponse res = sdk.industries().list()
                .call();

if (res.enrichedIndustries().isPresent()) {
            System.out.println(res.enrichedIndustries().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.industries.list()

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.industries.list

unless res.enriched_industries.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Industries.ListAsync();

// handle response

The request completed successfully.

Example

{
  "industries": [
    {
      "industry": "clothing-accessories",
      "displayName": "Clothing & Accessories",
      "category": "retail",
      "categoryDisplayName": "Retail",
      "defaultMcc": "5651"
    }
  ]
}

Response headers

A unique identifier used to trace requests.

Response headers for errors due to missing authentication, authorization issues, rate limiting, unexpected errors, or downstream service failures may occur.